Core - Task # 48512

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54272 (Resolved): As an Editor | expect FAL to work with the RTE

Status: Resolved Priority: Must have

Author: Matthias Swiercz Category: File Abstraction Layer (FAL)
Created: 2013-05-24 Assigned To: Stanislas Rolland

Updated: 2014-02-15 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subiject: RTE Linking with file upload fails

Description

When | am uploading the file in the RTE-Link Wizard then | am getting this error:

"Folder None - new link! does not exist."

But the file has been uploaded.

Related issues:
related to Core - Bug # 56751: Followup for #48512 - RTE Linking with file u...

Resolved

2014-03-11

Associated revisions

Revision 106¢2073 - 2014-02-06 01:11 - Stanislas Rolland

[BUGFIX] RTE Linking with file upload fails when no folder is selected

Solution: Catch exceptions raised when the potential target folder or
the default user upload folder does not exist.

Resolves: #48512

Releases: 6.2

Change-Id: 1c0218f218b045562d0ea5499ac0440848ddf3028
Reviewed-on: https://review.typo3.0rg/27323

Reviewed-by: Stanislas Rolland

Tested-by: Stanislas Rolland

Revision 83321601 - 2014-03-19 08:29 - Tymoteusz Motylewski

[BUGFIX] RTE Linking with file upload fails

Catch exceptions raised when the potential target folder or
the default user upload folder does not exist.

The change https://review.typo3.org/27323 from ticket
http://forge.typo3.org/issues/48512 should be applied

in few places more.
https://review.typo3.org/27323
http://forge.typo3.org/issues/48512

Resolves: #56751

Related: #48512

Releases: 6.2

Change-Id: 17446697d64a580203{8f772d4bba690542dd7cb2
Reviewed-on: https://review.typo3.org/28247

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Frans Saris
Tested-by: Frans Saris

History

#1 - 2013-06-05 16:40 - Steffen Weber

We have the same problem in typo3 6.1

#2 - 2013-12-07 17:22 - Steffen Ritter

- Parent task set to #54272

- Is Regression set to No

#3 - 2014-01-23 20:17 - Stanislas Rolland
- Estimated time set to 1.00

#4 - 2014-01-23 20:20 - Stanislas Rolland

- Assigned To set to Stanislas Rolland

#5 - 2014-02-04 00:53 - Stanislas Rolland

Matthias Swiercz wrote:

When | am uploading the file in the RTE-Link Wizard then | am getting this error:

"Folder None - new link! does not exist."”

But the file has been uploaded.

Can you reproduce this issue at will? How?

When this error occurs, the file is uploaded in the user default folder, right?

#6 - 2014-02-04 16:24 - Stanislas Rolland

- Estimated time changed from 1.00 to 2.00

#7 - 2014-02-04 16:34 - Stanislas Rolland
- Subject changed from RTE Linking with Fileupload failes to RTE Linking with file upload fails

#8 - 2014-02-04 17:04 - Gerrit Code Review

- Status changed from New to Under Review

2015-08-04

2/3


https://review.typo3.org/28247

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27323

#9 - 2014-02-04 17:06 - Stanislas Rolland
- % Done changed from 0 to 80

#10 - 2014-02-06 00:59 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27323

#11 - 2014-02-06 01:16 - Stanislas Rolland
- % Done changed from 80 to 100

#12 - 2014-02-06 01:30 - Stanislas Rolland

- Status changed from Under Review to Resolved

Applied in changeset commit:106c2073f2c02a32cad5913a55218abf683cb426.
